Subject: Re: [eman] Question to requirements Authors on Framework Example

From: Bruce Nordman <[email-masked]>
Date: Wed, 1 Aug 2012 14:14:21 -0700

(apologies for returning to this thread right before the meeting).

This thread raises a question - can one mix the two approaches
(device to device vs interface to interface).  That is, can one link
from a device to an interface or vice versa.  Offhand I think this
is OK, and would be very practical for all the devices that have
only a single power interface.  These could have an implicit
power interface with the same ID as the entire device.  I don't
know what this might mean for the MIB construction though.

This also raises the issue of how a management system
merges data from many devices, some of which report on
device relationships, and others on power interface connections.
Does such mixed systems create any problems?  Not sure.
Also, presumably a device could be implemented to report
via both mechanisms, and management systems could choose
to gather data for both, one, or the other.

--Bruce

On Wed, Jul 4, 2012 at 3:45 PM, Juergen Quittek <[email-masked]> wrote:

> Hi John,
>
> For me both examples are absolutely in line with the requirements draft.
>
> Both show a view on the same physical reality.  The model with interfaces
> shows more details.  But how much detail is needed depends on the needs of
> the energy management task you are conducting.
>
> Thanks,
>     Juergen
>
>
> On 04.07.12 20:14, "John Parello (jparello)" <[email-masked]> wrote:
>
> >HI,
> >
> >Thanks again to the authors of the requirements. I'm now trying to ensure
> >the framework can fulfill and comply to the requirements. Your opinion
> >would be greatly appreciated to expedite this.
> >
> >Please take a look at Example 1 in the presentation from last IETF-83
> >(it's slide 7)
> >
> >http://tools.ietf.org/agenda/83/slides/slides-83-eman-4.pdf
> >
> >Please refer to that slide for the questions below:
> >
> >Would the implementation suggested by the framework and shown in the
> >example fulfill the requirements you've defined?
> >    In the "Interfaces" example:
> >           Energy Objects Y and W would be  Power Entities and Energy
> >Object 8 and 1 would be Power Interfaces
> >    In the "No interfaces" example
> >           Energy Objects Y and W would be Power Entities and still show
> >a connection without the interface objects.
> >
> >Would both examples in slide 7 and described above  hold as valid
> >according to the requirements draft you are proposing?
> >
> >Jp
> >_______________________________________________
> >eman mailing list
> >[email-masked]
> >https://www.ietf.org/mailman/listinfo/eman
>
> _______________________________________________
> eman mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eman
>

-- 
*Bruce Nordman*
Lawrence Berkeley National Laboratory
nordman.lbl.gov <http://eetd.lbl.gov/ea/nordman>
[email-masked]
510-486-7089
m: 510-501-7943